Bug 31708

Summary: Change some [Reflect] attributes in HTMLInputElement to [ConvertNullToNullString, Reflect]
Product: WebKit Reporter: Kent Tamura <tkent>
Component: DOMAssignee: Kent Tamura <tkent>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, commit-queue
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Proposed patch
none
Proposed patch (rev.2) none

Description Kent Tamura 2009-11-19 22:52:38 PST
min, max, pattern and step attributes are declared as [Reflect] in WebCore/html/HTMLInputElement.idl.
I'd like to change them to [ConvertNullToNullString, Reflect] because all other attribute with Reflect has ConvertNullToNullString.
Comment 1 Kent Tamura 2009-11-19 22:55:39 PST
Created attachment 43556 [details]
Proposed patch
Comment 2 Darin Adler 2009-11-19 23:08:14 PST
Comment on attachment 43556 [details]
Proposed patch

Changing step seems fine, but I don't see any tests for max or min.
Comment 3 Kent Tamura 2009-11-19 23:28:57 PST
Created attachment 43557 [details]
Proposed patch (rev.2)

Ok, I have added test for min, max and pattern attributes.
Comment 4 Adam Barth 2009-11-30 12:32:24 PST
style-queue successfully ran check-webkit-style on attachment 43557 [details] without any errors
Comment 5 WebKit Commit Bot 2009-12-01 21:17:18 PST
Comment on attachment 43557 [details]
Proposed patch (rev.2)

Clearing flags on attachment: 43557

Committed r51584: <http://trac.webkit.org/changeset/51584>
Comment 6 WebKit Commit Bot 2009-12-01 21:17:22 PST
All reviewed patches have been landed.  Closing bug.